<?xml version="1.0" encoding="UTF-8"?>
<!--
   Licensed Materials - Property of IBM
   5724-L01, 5655-N53
   (C) Copyright IBM Corporation 2005, 2006. All rights reserved.
   US Government Users Restricted Rights - Use, duplication, or disclosure
   restricted by GSA ADP Schedule Contract with IBM Corp.
-->
<al:alConfig
        targetNamespace="http://www.ibm.com/xmlns/prod/websphere/al/customerx/6.0.0"
        xmlns:al="http://www.ibm.com/xmlns/prod/websphere/al/6.0.0"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.ibm.com/xmlns/prod/websphere/al/6.0.0 ALConfig.xsd">

        <locator name="J2SEFileSystemLocator">
                <environment>J2SE</environment>
                <mime>bpel</mime>
                <mime>brgt</mime>
                <mime>dtable</mime>
                <mime>itel</mime>
                <mime>map</mime>
                <mime>mes</mime>
                <mime>mon</mime>
                <mime>rel</mime>
                <mime>ri</mime>
                <mime>rol</mime>
                <mime>ruleset</mime>
                <mime>sacl</mime>
                <mime>schema</mime>
                <mime>sel</mime>
                <mime>selt</mime>
                <mime>tel</mime>
                <mime>wsdl</mime>
                <mime>wsdl-schema</mime>
                <mime>xsd</mime>
                <implementation>com.ibm.ws.al.locator.CLLocator</implementation>
        </locator>

        <locator name="WASLocator">
                <environment>WAS-6.0</environment>
                <mime>bpel</mime>
                <mime>brgt</mime>
                <mime>dtable</mime>
                <mime>itel</mime>
                <mime>map</mime>
                <mime>mes</mime>
                <mime>mon</mime>
                <mime>rel</mime>
                <mime>ri</mime>
                <mime>rol</mime>
                <mime>ruleset</mime>
                <mime>sacl</mime>
                <mime>schema</mime>
                <mime>sel</mime>
                <mime>selt</mime>
                <mime>tel</mime>
                <mime>wsdl</mime>
                <mime>wsdl-schema</mime>
                <mime>xsd</mime>

                <implementation>com.ibm.ws.al.locator.WASCLLocator</implementation>
        </locator>

        <locator name="ArchiveLocator">
                <environment>Archive</environment>
                <mime>bpel</mime>
                <mime>brgt</mime>
                <mime>dtable</mime>
                <mime>itel</mime>
                <mime>map</mime>
                <mime>mes</mime>
                <mime>mon</mime>
                <mime>rel</mime>
                <mime>ri</mime>
                <mime>rol</mime>
                <mime>ruleset</mime>
                <mime>sacl</mime>
                <mime>schema</mime>
                <mime>sel</mime>
                <mime>selt</mime>
                <mime>tel</mime>
                <mime>wsdl</mime>
                <mime>wsdl-schema</mime>
                <mime>xsd</mime>
                <implementation>com.ibm.ws.al.locator.ArchiveLocator</implementation>
        </locator>

        <locator name="AdminLocator">
                <environment>Admin</environment>
                <mime>bpel</mime>
                <mime>brgt</mime>
                <mime>dtable</mime>
                <mime>itel</mime>
                <mime>map</mime>
                <mime>mes</mime>
                <mime>mon</mime>
                <mime>rel</mime>
                <mime>ri</mime>
                <mime>rol</mime>
                <mime>ruleset</mime>
                <mime>sacl</mime>
                <mime>schema</mime>
                <mime>sel</mime>
                <mime>selt</mime>
                <mime>tel</mime>
                <mime>wsdl</mime>
                <mime>wsdl-schema</mime>
                <mime>xsd</mime>
                <implementation>com.ibm.ws.al.locator.AdminFSLocator</implementation>
        </locator>


<!--
	NOTE:  the exclusion list uses regular expressions to determine what files
	will be excluded.  The "directory" exclusion regular expression will be
	applied to the file system level and will not be applied within archives.
	The "file" exclusion regular expression will be applied to both the file
	system level and within archives.  The regular expression will be applied
	to segments artifacts' URLs.
	eg. jar:file:/C:/xxx/yyy/zzz.jar!/com/ibm/abc.xsd
	The "directory" exclusions will be applied to /C:/xxx/yyy/zzz.jar only.
	The "file" exclusions will be applied to /C:/xxx/yyy/zzz.jar
	and /com/ibm/abc.xsd
-->

        <exclude name="RTExlusionList">
        	<directory>.*/properties/.*</directory>
                <file>.*/BusinessGraph.xsd</file>
                <file>.*/DataGraph.xsd</file>
                <file>.*/Map.xsd</file>
                <file>.*/Relationship.xsd</file>
                <file>.*/[Mm][Ee][Tt][Aa]-[Ii][Nn][Ff]/.*</file>
                <file>.*/[Ww][Ee][Bb]-[Ii][Nn][Ff]/[Ww][Ss][Dd][Ll]/.*</file>
                <file>.*/applied.xsd</file>
                <file>.*/bpevalidation.jar</file>
                <file>.*/brules-model.jar</file>
                <file>.*/brules-scdl.jar</file>
                <file>.*/commonj.connector.jar</file>
                <file>.*/customization-model.jar</file>
                <file>.*/emf.jar</file>
                <file>.*/j2ee.jar</file>
                <file>.*/mail-impl.jar</file>
                <file>.*/mediation_model.jar</file>
                <file>.*/sca-async.jar</file>
                <file>.*/sca-common.jar</file>
                <file>.*/sca-container.jar</file>
                <file>.*/sca-deploy.jar</file>
                <file>.*/sca-ejb.jar</file>
                <file>.*/sca-j2c.jar</file>
                <file>.*/sca-java.jar</file>
                <file>.*/sca-managed.jar</file>
                <file>.*/sca.jar</file>
                <file>.*/scdl-eis.jar</file>
                <file>.*/scdl-ejb.jar</file>
                <file>.*/scdl-java.jar</file>
                <file>.*/scdl-mediation.jar</file>
                <file>.*/scdl-process.jar</file>
                <file>.*/scdl-task.jar</file>
                <file>.*/scdl-webservice.jar</file>
                <file>.*/scdl-wsdl.jar</file>
                <file>.*/scdl.jar</file>
                <file>.*/selector-model.jar</file>
                <file>.*/selector-scdl.jar</file>
                <file>.*/wccm_base.jar</file>
                <file>^http://www.ibm.com/webservices/xsd/.*</file>
                <file>^http://schemas\.xmlsoap\.org/soap/encoding/</file>
                <file>^http://schemas\.xmlsoap\.org/ws/</file>
                <file>^http://schemas\.xmlsoap\.org/wsdl/</file>
                <file>^http://www.w3.org/.*</file>
                <file>^http://xml\.apache\.org/xml\-soap</file>
                
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/bo/6.0.0</targetNamespace>
                <targetNamespace>http://www.ibm.com/websphere/appserver/schemas/6.0/pmebnd.xmi</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/wbiserver/map/6.0.0</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/wbiserver/rel/6.0.0</targetNamespace>
                <targetNamespace>http://www.eclipse.org/emf/2003/SDO</targetNamespace>
                <targetNamespace>http://www.eclipse.org/emf/2003/XMLType</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/sca/.*</targetNamespace>
                <targetNamespace>http://www.ibm.com/xmlns/prod/websphere/scdl/[^:]*</targetNamespace>
                <targetNamespace>http://www.w3.org/1998/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/1999/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/2000/10/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/2001/XMLSchema-instance</targetNamespace>
                <targetNamespace>http://www.w3.org/2001/XMLSchema</targetNamespace>
                <targetNamespace>http://www.w3.org/XML/1998/namespace</targetNamespace>
                <targetNamespace>http://www.w3.org/XML/1998/namespace</targetNamespace>
                <targetNamespace>http://schemas.xmlsoap.org/ws/2004/08/addressing</targetNamespace>

     </exclude>

</al:alConfig>
